4.21 Demo Project / Github Install


#1

Hello,
I’d like to start using skookum Script on 4.21. Do you have a 4.21 demo project available? (Edit: nm, I think I spotted a reference on the site that demo projects will no longer be given out)

Also, I’m following along with this tutorial in an attempt to install the plugin in 4.21:

http://skookumscript.com/docs/ue4/setup/

Everything seems to be going good so far, but I’d just like to confirm.

Edit:
While building I’m getting some warnings

"E:\UnrealEngine\Engine\Plugins\SkookumScript\Source\SkookumScriptGenerator\Private\SkookumScriptGenerator.cpp(711): warning C4996: ‘FString::Printf’: The formatting string must now be a TCHAR string literal. Please update your code to the new API before upgrading to the next release, otherwise your project will no longer compile.
15> E:\UnrealEngine\Engine\Source\Runtime\Core\Public\Containers/UnrealString.h(1400): note: see declaration of ‘FString::Printf’

Edit 2:
Not sure if it’s related to the above warnings, but I get this error when trying to launch the SK IDE.

Thank you!!


#2

Hey kuso,
I threw up a zip file of the 2 main demo projects for Sk updated for 4.21. Towards the first of the month I’ll also be refreshing a space invaders demo for 4.21.

The build warning you list is expected.

For the IDE error you posted. Are you setting up :sk: in a C++ project? If so can you show the contents of the .build.cs file?


#3

Hello error454,
Thanks a lot for the reply! Apologies for my late one…
It’s good to know the build warnings are normal. Thank you.

Currently I’m on a BP project. Before rebuilding the engine with SS in place, I had built the project for other plugins (specifically, rtik).


#4

On my Home PC, I rebuilt the engine w/ ss 4.21 following this tutorial here http://skookumscript.com/docs/ue4/setup/ (just swapped the github clone *** “4.16” with “4.21”).

Stuck the FireBot and Skookum Demo projects in Unreal Projects folder.

When trying to open either I get prompted to select an engine version. I choose the engine version w/ the built SS plugin and get the following error:

“Couldn’t set association for project. Check the file is writeable.”

I checked each project folder and it seems like all read/write prvs are set to “Full”.


Launched a diff project w/ the same custom Engine containing the SS plugin. Got prompted to select an engine and it got through fine. Tried to launch SS IDE and the aforementioned error popup appeared. Rendered UE4 Editor unusable/unresponsive. It crashed.

But, upon relaunching the same project, the IDE autolaunched and the error didn’t appear. All is good! Well, save for getting the SS demo projects working.

Update: https://i.imgur.com/oleDID6.png
Had to remove the check from this box and it launched!

All issues have been resolved. Thx!


#5

Yes, sorry about this, the project files were copied from a perforce tree so the default file permissions are read-only on everything. I will have to look out for this in the future.